Bug 831488 - After Kernel 3.4 Update Wireless Do Not Connect
After Kernel 3.4 Update Wireless Do Not Connect
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
i686 Linux
unspecified Severity high
: ---
: ---
Assigned To: John Greene
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 02:31 EDT by Baris Sekerciler
Modified: 2013-08-02 09:46 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 21:24:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot (679.04 KB, image/png)
2012-06-13 02:31 EDT, Baris Sekerciler
no flags Details

  None (edit)
Description Baris Sekerciler 2012-06-13 02:31:53 EDT
Created attachment 591361 [details]
screenshot

Description of problem:
I upgraded my kernel to 3.4.
I was done old kernel for my wi-fi connections but the new kernel has a problem. My wi-fi adapter is on. When I click network icon, i can seen my wi-fi but under writing "unavailable".
I did restart my wi-fi adapter but did not solve.
(Im using the netbook KDE)

LSPCI:
[baris@netbook-baris ~]$ lspci
00:00.0 Host bridge: Intel Corporation Mobile 945GME Express Memory Controller Hub (rev 03)
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GME Express Integrated Graphics Controller (rev 03)
00:02.1 Display controller: Intel Corporation Mobile 945GM/GMS/GME, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation N10/ICH 7 Family High Definition Audio Controller (rev 02)
00:1c.0 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 1 (rev 02)
00:1c.1 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 2 (rev 02)
00:1c.2 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 3 (rev 02)
00:1c.3 PCI bridge: Intel Corporation N10/ICH 7 Family PCI Express Port 4 (rev 02)
00:1d.0 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #1 (rev 02)
00:1d.1 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #2 (rev 02)
00:1d.2 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #3 (rev 02)
00:1d.3 USB Controller: Intel Corporation N10/ICH 7 Family USB UHCI Controller #4 (rev 02)
00:1d.7 USB Controller: Intel Corporation N10/ICH 7 Family USB2 EHCI Controller (rev 02)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev e2)
00:1f.0 ISA bridge: Intel Corporation 82801GBM (ICH7-M) LPC Interface Bridge (rev 02)
00:1f.2 IDE interface: Intel Corporation 82801GBM/GHM (ICH7 Family) SATA IDE Controller (rev 02)
00:1f.3 SMBus: Intel Corporation N10/ICH 7 Family SMBus Controller (rev 02)
02:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. 
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peter Robinson 2012-06-13 04:12:21 EDT
Nothing to do with network-manager-netbook, it's likely the kernel.
Comment 2 Josh Boyer 2012-06-13 08:53:28 EDT
lspci isn't showing any wireless adapter at all.  Do you have it enabled in the BIOS?  What does 'rfkill list' show?
Comment 3 John W. Linville 2012-06-13 09:53:01 EDT
Josh is right, this smells a lot like bug 830833.  But, it appears to be on a different box.  Is this some form of Eeepc?  Or some other brand/model?
Comment 4 Baris Sekerciler 2012-06-13 13:37:20 EDT
Im not using Eeepc. My Lspci above the output.

Brand= Datron Mobee
Model= CW001
Comment 5 John W. Linville 2012-06-13 13:45:09 EDT
Please attach the output of 'lsmod'.  Also, please answer the questions from comment 2...thanks!
Comment 6 Baris Sekerciler 2012-06-13 13:46:50 EDT
Yes I enabled.

lsmod output:

[baris@netbook-baris ~]$ lsmod
Module                  Size  Used by
lockd                  77970  0 
sunrpc                215168  1 lockd
bnep                   18863  2 
bluetooth             258249  7 bnep
ip6t_REJECT            12826  2 
nf_conntrack_ipv6      13928  3 
nf_defrag_ipv6         13642  1 nf_conntrack_ipv6
nf_conntrack_ipv4      14280  2 
nf_defrag_ipv4         12601  1 nf_conntrack_ipv4
xt_state               12514  5 
nf_conntrack           71517  3 xt_state,nf_conntrack_ipv4,nf_conntrack_ipv6
ip6table_filter        12711  1 
ip6_tables             17744  1 ip6table_filter
arc4                   12473  2 
rt73usb                26834  0 
rt2x00usb              19162  1 rt73usb
rt2x00lib              51890  2 rt73usb,rt2x00usb
mac80211              432417  2 rt2x00lib,rt2x00usb
cfg80211              161508  2 mac80211,rt2x00lib
rfkill                 20451  4 cfg80211,bluetooth
crc_itu_t              12523  1 rt73usb
coretemp               13204  0 
microcode              18713  0 
serio_raw              13155  0 
i2c_i801               17499  0 
snd_hda_codec_realtek    63133  1 
iTCO_wdt               17652  0 
iTCO_vendor_support    13243  1 iTCO_wdt
snd_hda_intel          32324  2 
snd_hda_codec         103782  2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep              13232  1 snd_hda_codec
snd_pcm                81297  2 snd_hda_codec,snd_hda_intel
snd_page_alloc         13709  2 snd_pcm,snd_hda_intel
snd_timer              23742  1 snd_pcm
r8169                  51448  0 
mii                    13311  1 r8169
snd                    63133  10 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_pcm,snd_hda_codec,snd_hda_intel
soundcore              14123  1 snd
binfmt_misc            17231  1 
uinput                 17304  0 
ums_realtek            17669  0 
usb_storage            42849  1 ums_realtek
i915                  414282  4 
video                  18503  1 i915
i2c_algo_bit           13065  1 i915
drm_kms_helper         31059  1 i915
drm                   205771  5 i915,drm_kms_helper
i2c_core               28180  5 drm,i915,i2c_i801,drm_kms_helper,i2c_algo_bit
Comment 7 Baris Sekerciler 2012-06-13 13:57:03 EDT
rfkill list:

[baris@netbook-baris ~]$ rfkill list
2: phy2: Wireless LAN
        Soft blocked: no
        Hard blocked: yes
Comment 8 Stefano Ciavarella 2012-11-03 19:33:29 EDT
Hi,
same problem here, some infos :

Wifi usb adapter D-link dw-111 ( worked fine with fc13 )

Kernel 3.6.3-1.fc17.x86_64 

lspci :

Bus 001 Device 060: ID 07d1:3c06 D-Link System

dmesg

[ 1000.292661] phy797 -> rt2x00usb_vendor_request: Error - Vendor Request 0x09 failed for offset 0x0000 with error -19.
[ 1000.292677] phy797 -> rt73usb_init_eeprom: Error - Invalid RT chipset detected.
[ 1000.292682] phy797 -> rt2x00lib_probe_dev: Error - Failed to allocate device.
[ 1000.292890] usb 1-4: USB disconnect, device number 87
[ 1000.399055] usb 1-4: new high-speed USB device number 88 using ehci_hcd
[ 1000.549593] usb 1-4: too many configurations: 60, using maximum allowed: 8
[ 1000.969654] usb 1-4: New USB device found, idVendor=07d1, idProduct=3c06
[ 1000.969662] usb 1-4: New USB device strings: Mfr=1, Product=2, SerialNumber=4
[ 1000.969667] usb 1-4: Product: 802.11 bg WLAN
[ 1000.969671] usb 1-4: Manufacturer: Ralink
[ 1001.073052] usb 1-4: reset high-speed USB device number 88 using ehci_hcd
[ 1001.223579] usb 1-4: device firmware changed



Modprobe blacklist :

blacklist rt2x00lib
blacklist rt2x00pci
blacklist rt2x00usb
blacklist rt2x00
blacklist rt2x00lib
blacklist rt2x00pci
blacklist rt2x00usb
blacklist rt61pci
blacklist rt2400pci
blacklist rt2500pci
blacklist rt2500usb


rfkill list no output.......

thank you
regards 


Stefano
Comment 9 Fedora End Of Life 2013-07-03 19:03:48 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 John Greene 2013-07-30 12:04:18 EDT
You can later kernel, but so far I don't see support for ID 07d1:3c06 D-Link System (DWA-111).

Some web sites list rt73 driver as the right driver, but obviously it has problems.

Do you happen to have the system with fc13 and know which driver was running your card then?  Might be a different (vendor?) driver, doesn't appear to be in-tree.
Comment 11 Fedora End Of Life 2013-07-31 21:24:17 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 12 John Greene 2013-08-02 09:46:41 EDT
Lastly, it appears this ID is supported in latest drivers..3.10 seems to in rt73.  Can you try this kernel?

Note You need to log in before you can comment on or make changes to this bug.